openSUSE Security Update : libXcursor (openSUSE-SU-2013:1031-1)

Medium Nessus Plugin ID 75038

Synopsis

The remote openSUSE host is missing a security update.

Description

This update of libXcursor fixes an integer overflow issue.

- U_0001-signedness-bug-integer-overflow-in-_XcursorFileHe ade.patch

- signedness bug & integer overflow in
_XcursorFileHeaderCreate() [CVE-2013-2003] (bnc#821663, bnc#815451)

Solution

Update the affected libXcursor packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=815451

https://bugzilla.novell.com/show_bug.cgi?id=821663

https://lists.opensuse.org/opensuse-updates/2013-06/msg00159.html

Plugin Details

Severity: Medium

ID: 75038

File Name: openSUSE-2013-502.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2014/06/13

Updated: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libXcursor-debugsource, p-cpe:/a:novell:opensuse:libXcursor-devel, p-cpe:/a:novell:opensuse:libXcursor-devel-32bit, p-cpe:/a:novell:opensuse:libXcursor1, p-cpe:/a:novell:opensuse:libXcursor1-32bit, p-cpe:/a:novell:opensuse:libXcursor1-debuginfo, p-cpe:/a:novell:opensuse:libXcursor1-debuginfo-32bit, cpe:/o:novell:opensuse:12.2, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/06/07

Reference Information

CVE: CVE-2013-2003

BID: 60121